SketchAutoDimensionBuilder Class

class NXOpen.SketchAutoDimensionBuilder

Bases: NXOpen.Builder

Represents a NXOpen.SketchAutoDimensionBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateAutoDimensionBuilder()

Default values.

Property Value
DimensionType Automatic

New in version NX7.5.0.

Properties

Property Description
DimensionType Returns or sets the enum dim type
SelectionObject Returns the selected sketch curves to auto dimension
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetRules Get the auto dimensioning rule list from builder
SetRules Set the auto dimensioning rule list to builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

SketchAutoDimensionBuilderDimType Enumeration dimension type to be created

Property Detail

DimensionType

SketchAutoDimensionBuilder.DimensionType

Returns or sets the enum dim type

-------------------------------------

Getter Method

Signature DimensionType

Returns:
Return type:NXOpen.SketchAutoDimensionBuilderDimType

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DimensionType

Parameters:dimensionType (NXOpen.SketchAutoDimensionBuilderDimType) –

New in version NX7.5.0.

License requirements: None.

SelectionObject

SketchAutoDimensionBuilder.SelectionObject

Returns the selected sketch curves to auto dimension

-------------------------------------

Getter Method

Signature SelectionObject

Returns:
Return type:NXOpen.SelectNXObjectList

New in version NX7.5.0.

License requirements: None.

Method Detail

GetRules

SketchAutoDimensionBuilder.GetRules

Get the auto dimensioning rule list from builder

Signature GetRules()

Returns:Auto Dimension Rules
Return type:list of NXOpen.SketchAutoDimensioningRule

New in version NX7.5.0.

License requirements: None.

SetRules

SketchAutoDimensionBuilder.SetRules

Set the auto dimensioning rule list to builder.

All the rules are expected to be in the list exactly once. Variable count can not be zero or negative.

Signature SetRules(rules)

Parameters:rules (list of NXOpen.SketchAutoDimensioningRule) – Auto Dimension Rules

New in version NX7.5.0.

License requirements: None.

Validate

SketchAutoDimensionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.